
kerio.waw.status.x_14 = kerio.waw.status.x_14 || { x_zi: false };
var x_14 = kerio.waw.status.x_14;

x_14.x_ia = function(x_1p7, x_1p8) {
var x_14 = kerio.waw.status.x_14;
x_14.x_1p9 = x_1p7;
x_14.x_1pa = x_1p8;
}; 
x_14.x_qu = function() {
return kerio.waw.status.x_14.x_zi;
}; 
x_14.x_15 = function(x_1pb) {
var x_14 = kerio.waw.status.x_14;
var x_1p8 = x_14.x_1pa;
x_14.x_zi = x_1pb;
if (x_14.x_1p9) {
x_14.x_1p9.x_38(!x_1pb, !x_1pb);
}
if (x_1p8) {
x_1p8.x_74.call(x_1p8.x_2q, x_1pb);
}
}; 
x_14.x_zh = function() {
if (kerio.waw.status.x_14.x_zi) {
x_fi.x_3j();
return kerio.lib.x_x('You have modified data in this section.', 'common') + '\n' + kerio.lib.x_x('If you continue, all changes will be lost.', 'common');
}
}; 
x_14.x_1pc = function(x_1pd) {
var x_14 = kerio.waw.status.x_14;
var x_32 = x_14.x_1p9;
if (x_32) {
if ('no' === x_1pd) {
x_32.x_35(x_32, false);
}
else {
if (false === x_32.x_33(x_32, false)) {
return; }
}
}
if (!x_32.x_15u) {
x_14.x_15y();
}
}; 
x_14.x_15y = function() {
var x_1pe = kerio.waw.status.x_14.x_1pf;
x_1pe.x_1pg.x_1ph(x_1pe.x_1j);
};
x_14.x_1ai = function(x_1pi, x_1pj, x_4e) {
var x_14 = kerio.waw.status.x_14;
x_14.x_1pf = x_1pi;
x_14.x_1pk = x_4e;
if (x_14.x_zi) {
kerio.lib.x_4b(kerio.lib.x_x('Confirm', 'common'), kerio.lib.x_x('You have modified data in this section.', 'common') + '\n' + kerio.lib.x_x('Do you want to save changes?', 'common'),
x_14.x_1pc);
return false;
}
return true;
}; 
x_14.x_10i = function() {
x_14.x_1pl = kerio.adm.x_1bc.x_1pm;
kerio.adm.x_1bc.x_1pm = kerio.waw.status.x_14.x_1bb;
};

x_14.x_1bb = function() {
var
x_14 = kerio.waw.status.x_14,
x_1n;
if (x_14.x_zi) {
x_1n = x_14.x_zh() + '\n' + kerio.lib.x_x('Do you want to continue?', 'common');
kerio.lib.x_4b(kerio.lib.x_x('Confirm', 'common'), x_1n, x_14.x_1pn);
return false;
}
x_14.x_1pl.call(kerio.adm.x_1bc);
return true;
};

x_14.x_1pn = function(x_1pd) {
if ('yes' === x_1pd) {
kerio.waw.status.x_14.x_zi = false;
kerio.waw.status.x_14.x_1pl.call(kerio.adm.x_1bc);
}
};
